Charge Item Definition

The ChargeItemDefinition resource represents a fee (a service or product) provided by a practice group

ℹ️

Context

In Halaxy, ChargeItemDefinition is referred to as fee, the service or product provided to a patient. To view your fees, click Finances > Fees on the sidebar. Learn more about Halaxy fees.


Endpoints

EndpointOperationDescription
GET /main/ChargeItemDefinitionList ChargeItemDefinitionsReturn a list or collection of fees
GET /main/ChargeItemDefinition/{id}Get ChargeItemDefinitionReturn an individual fee

Schema

PropertyDefinition
idstring
The identifier of this fee
titlestring
The name of the fee
codestring
The item number or code of the fee
status

enum
The status of the fee

active - if propertyGroup is current
retired - if propertyGroup is archived
unknown - if fee has multiple records of propertyGroup

useContext

The fee type and fee category of this fee

code (fee type)
0 - Appointment
1 - Item
2 - Pro Rata

valueCodeableConcept (fee category)
e.g. Assessment, Report, Travel, Treatment, etc.
Note: Practice group may have custom fee categories.

Example:

{
 "code": {
   "system": "https://terminology.halaxy.com/StructureDefinition/fee-type",
   "code": "type",
   "display": "Fee Type"
 },
 "valueCodeableConcept": {
    "coding": [
      {
        "system": "https://terminology.halaxy.com/StructureDefinition/fee-type-code",
        "code": "0",
        "display": "Appointment"
      }
    ],
    "text": "Appointment"
  }
}
{
  "code": {
    "system": "https://terminology.halaxy.com/StructureDefinition/fee-category",
    "code": "category",
    "display": "Fee Category"
  },
  "valueCodeableConcept": {
    "text": "Travel"
  }
}
publisherstring
The name of the funder of this fee
propertyGroup

An individual pricing block for this fee

applicability
Filters that determine when to apply the pricing block to a fee (e.g. level or date range)

priceComponent
The price, tax and rebate breakdown for this pricing block

extension
The status (current or archived) and the visibility (hidden or visible) of this pricing block

See related article: Manage pricing for fees

Example:
Pricing block for a fee that applies only to a specific clinic starting from August 1, 2025

"propertyGroup": [
  {
    "applicability": [
      {
        "description": "Date range check",
        "language": "text/fhirpath",
        "expression": "%context.occurrenceDateTime >= '2025-08-01T00:00:00+10:00'"
      },
      {
        "description": "Location is the performer",
        "language": "text/fhirpath",
        "expression": "%context.performingOrganization.reference = 'Organization/CL-123456'"
      }
    ],
    "priceComponent": [
      {
        "type": "base",
        "amount": {
        "value": 80
          }
       }
    ],
    "extension": [
      {
        "url": "https://terminology.halaxy.com/StructureDefinition/fee-pricing-status",
        "valueCoding": {
          "system": "https://terminology.halaxy.com/StructureDefinition/fee-pricing-status-code",
          "code": "1",
          "display": "current"
        }
     },
      {
        "url": "https://terminology.halaxy.com/StructureDefinition/fee-pricing-visibility",
        "valueCoding": {
          "system": "https://terminology.halaxy.com/StructureDefinition/fee-pricing-visibility-code",
          "code": "1",
          "display": "visible"
        }
      }
   ]
  }
]
extension

Other data outside the standard FHIR model such as:
- Fee duration: fee duration in minutes
- Fee Public Title: online booking custom name

Example:

"extension": [
  {
    "url": "https://terminology.halaxy.com/StructureDefinition/fee-duration",
    "valueString": "60"
  },
  {
    "url": "https://terminology.halaxy.com/StructureDefinition/fee-public-title",
    "valueString": "Custom Fee Name"
  },
]